org.eclipse.lyo.oslc4j.core.model

## Class OAuthConfiguration

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.OAuthConfiguration

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core#")
      @OslcResourceShape(title="OSLC OAuth Configuration Resource Shape",
                         describes="http://open-services.net/ns/core#OAuthConfiguration")
      public class OAuthConfiguration
      extends AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthConfiguration()`
    `OAuthConfiguration(URI oauthRequestTokenURI, URI authorizationURI, URI oauthAccessTokenURI)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getAuthorizationURI()`
    `URI` | `getOauthAccessTokenURI()`
    `URI` | `getOauthRequestTokenURI()`
    `void` | `setAuthorizationURI(URI authorizationURI)`
    `void` | `setOauthAccessTokenURI(URI oauthAccessTokenURI)`
    `void` | `setOauthRequestTokenURI(URI oauthRequestTokenURI)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthConfiguration

          public OAuthConfiguration()

    - #### OAuthConfiguration

          public OAuthConfiguration(URI oauthRequestTokenURI,
                            URI authorizationURI,
                            URI oauthAccessTokenURI)

  - ### Method Detail

    - #### getAuthorizationURI

          @OslcDescription(value="URI for obtaining OAuth authorization")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#authorizationURI")
          @OslcReadOnly
          @OslcTitle(value="Authorization URI")
          public URI getAuthorizationURI()

    - #### getOauthAccessTokenURI

          @OslcDescription(value="URI for obtaining OAuth access token")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#oauthAccessTokenURI")
          @OslcReadOnly
          @OslcTitle(value="Access Token URI")
          public URI getOauthAccessTokenURI()

    - #### getOauthRequestTokenURI

          @OslcDescription(value="URI for obtaining OAuth request token")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#oauthRequestTokenURI")
          @OslcReadOnly
          @OslcTitle(value="Request Token URI")
          public URI getOauthRequestTokenURI()

    - #### setAuthorizationURI

          public void setAuthorizationURI(URI authorizationURI)

    - #### setOauthAccessTokenURI

          public void setOauthAccessTokenURI(URI oauthAccessTokenURI)

    - #### setOauthRequestTokenURI

          public void setOauthRequestTokenURI(URI oauthRequestTokenURI)

Copyright © 2016. All rights reserved.